const initialState = {
    Teams: [],
    Owners: [],
    Members: [],
    WaitingMembers: [],
    Laps: [],
    Points: [],
    Sessions: [],
    Tracks: [],
};

const appReducer = (state = initialState, action: { type: any; payload: any; }) => {
    switch (action.type) {
        case 'Fetch_Teams':
            return { ...state, cities: [...state.Teams, action.payload] };
        case 'Fetch_Owners':
            return { ...state, cities: [...state.Owners, action.payload] };
        case 'Fetch_Members':
            return { ...state, cities: [...state.Members, action.payload] };
        case 'Fetch_WaitingMembers':
            return { ...state, cities: [...state.WaitingMembers, action.payload] };
        case 'Fetch_laps':
            return { ...state, cities: [...state.Laps, action.payload] };
        case 'Fetch_Points':
            return { ...state, cities: [...state.Points, action.payload] };
        case 'Fetch_Sessions':
            return { ...state, cities: [...state.Sessions, action.payload] };
        case 'Fetch_Tracks':
            return { ...state, cities: [...state.Tracks, action.payload] };
        default:
            return state;
    }
};

export default appReducer;